﻿using System;
using System.Collections.Generic;

namespace HowToImplementHierarchicalDataBinding
{
    /// <summary>
    /// 상태 리스트
    /// </summary>
    public class StateList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 상태 리스트
        /// </summary>
        private static List<State> _stateList;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 소스 - DataSource

        /// <summary>
        /// 데이터 소스
        /// </summary>
        public static List<State> DataSource
        {
            get
            {
                if(_stateList == null)
                {
                    _stateList = new List<State>();

                    _stateList.Add(new State() { Text = "Not started", Value = 0 });
                    _stateList.Add(new State() { Text = "In progress", Value = 1 });
                    _stateList.Add(new State() { Text = "Completed"  , Value = 2 });
                }

                return _stateList;
            }
        }

        #endregion
    }
}