﻿using System;

namespace HowToImplementHierarchicalDataBinding
{
    /// <summary>
    /// 과제
    /// </summary>
    public class Task : BaseObject
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 시작일
        /// </summary>
        private DateTime startDate;

        /// <summary>
        /// 종료일
        /// </summary>
        private DateTime endDate;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 시작일 - StartDate

        /// <summary>
        /// 시작일
        /// </summary>
        public DateTime StartDate
        {
            get
            { 
                return this.startDate;
            }
            set
            {
                if(this.startDate == value)
                {
                    return;
                }

                this.startDate = value;

                OnPropertyChanged("StartDate");
            }
        }

        #endregion
        #region 종료일 - EndDate

        /// <summary>
        /// 종료일
        /// </summary>
        public DateTime EndDate
        {
            get
            { 
                return this.endDate;
            }
            set
            {
                if(this.endDate == value)
                {
                    return;
                }

                this.endDate = value;

                OnPropertyChanged("EndDate");
            }
        }

        #endregion
    }
}